Bug 22196 - /sbin/minilogd leaks memory, 160M in 12 hours
Summary: /sbin/minilogd leaks memory, 160M in 12 hours
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-13 02:34 UTC by Jaroslaw Sosnicki
Modified: 2014-03-17 02:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-13 04:19:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jaroslaw Sosnicki 2000-12-13 02:34:46 UTC
I am running Linux ns1 2.4.0-0.43.4smp #1 SMP Fri Dec 8 13:24:16 EST 2000
i686 unknown

One of the componens of  initscripts-5.52-1 leaks memory, 160M in 12 hours.

I did take peek at the sourcecode found missing calls to memory free
function.

There is no easy way to turn minilogd off short of  renaming/removing
/sbin/minilogd file

Comment 1 Bill Nottingham 2000-12-13 04:19:02 UTC
Something went horribly horribly wrong and syslogd didn't start
correctly on your machine.

It's technically not leaking; it's just storing all the system
log messages until syslogd starts.

Comment 2 Bill Nottingham 2001-01-29 20:42:55 UTC
initscripts-5.60-1 will have an upper bound on how much memory minilogd
will use, even though it's not technically a bug.


Note You need to log in before you can comment on or make changes to this bug.